import { Component, h, Prop, State } from '@stencil/core';
export class CntFlexyViewAbdullakhBotFormInput {
    componentDidLoad() {
        this.idCountry = this.phoneMask.defaultNumber;
    }
    render() {
        return (h("div", null,
            h("div", { class: "form_text" }, this.phoneMask.numberInterview),
            h("div", null,
                h("div", { class: "inputSize" },
                    h("div", { class: "numberSelect" },
                        h("div", { onClick: () => this.toggleMobileMenu() },
                            h(CountryCodeSelected, { arr: this.phoneMask.phonemask, idCountry: this.idCountry })),
                        h("input", { class: "inputSizePhone", type: "tel", placeholder: "(999) 999-99-99" }))),
                this.phoneCodeSelect ?
                    h("div", { class: "country_code_selection" },
                        h(CountryCodeSelection, { arr: this.phoneMask.phonemask, idSelected: (x) => this.idSelected(x) }))
                    :
                        '')));
    }
    /**
     * функция для открытия блока с странами
     * */
    toggleMobileMenu() {
        this.phoneCodeSelect = true;
    }
    /**
     * функция для присвоения id выбранной страны
     * */
    idSelected(x) {
        this.idCountry = x;
        this.phoneCodeSelect = false;
    }
    static get is() { return "cnt-flexy-view-abdullakh-bot-form-input"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-form-input.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-bot-form-input.css"]
    }; }
    static get properties() { return {
        "phoneMask": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0434\u0430\u043D\u043D\u044B\u0435 \u0434\u043B\u044F \u0432\u044B\u0431\u043E\u0440\u0430 \u0441\u0442\u0440\u0430\u043D \u0432 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0435 form-communication"
            },
            "attribute": "phone-mask",
            "reflect": false
        }
    }; }
    static get states() { return {
        "phoneCodeSelect": {},
        "idCountry": {}
    }; }
}
/**
 * компонентная функция для вывода флага и кода выбранной страны
 **/
const CountryCodeSelection = (props) => {
    return props.arr.map((item) => {
        return (h("div", { class: "country_code_selection_item", id: item.id, onClick: () => props.idSelected(item.id) },
            h("div", { class: "country_name" }, item.country),
            h("span", { class: "country_code" }, item.countryNumber),
            h("span", { class: "country_flag", style: {
                    backgroundImage: "url(" + item.flag + ")",
                    backgroundPosition: `${item.flagPosition}`
                } })));
    });
};
/**
 * компонентная функция для вывода кода и флага выбранной страны
 **/
const CountryCodeSelected = (props) => {
    return props.arr.map((item) => {
        if (props.idCountry === item.id) {
            return (h("div", { class: "country_select" },
                h("span", { class: "phoneMaskFlag", style: {
                        backgroundImage: "url(" + item.flag + ")",
                        backgroundPosition: `${item.flagPosition}`
                    } }),
                h("span", { class: "phoneMaskIcon" }),
                h("span", { class: "phoneMaskNumber" }, item.countryNumber)));
        }
    });
};
